import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizappointmenttime/` + url, ...arg)

/**
 * 预约时段配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/20 17:46
 **/
export default {
	// 获取预约时段配置分页
	bizAppointmentTimePage(data) {
		return request('page', data, 'get')
	},
	// 提交预约时段配置表单 edit为true时为编辑，默认为新增
	bizAppointmentTimeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除预约时段配置
	bizAppointmentTimeDelete(data) {
		return request('delete', data)
	},
	// 获取预约时段配置详情
	bizAppointmentTimeDetail(data) {
		return request('detail', data, 'get')
	},
	//获取预约时段下拉列表
	getDownList(data){
		return request('getDownList',data,'get')
	}
}
